Summary: A tool for creating scanners (text pattern recognizers).
Name: flex
Version: 2.5.4a
Release: 11mdk
Copyright: GPL
Group: Development/Other
Source: ftp://prep.ai.mit.edu:/pub/gnu/flex/flex-2.5.4a.tar.bz2
Patch0: flex-2.5.4a-skel.patch.bz2
BuildRoot: /var/tmp/%{name}-root

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as output.
The output file is compiled and linked with a library to produce an
executable.  The executable searches through its input for occurrences of
the regular expressions.  When a match is found, it executes the
corresponding C code.  Flex was designed to work with both Yacc and Bison,
and is used by many programs as part of their build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q -n flex-2.5.4
%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  strip ./usr/bin/flex
  ln -sf flex ./usr/bin/lex
  ln -s flex.1.bz2 ./usr/man/man1/lex.1.bz2
  ln -s flex.1.bz2 ./usr/man/man1/flex++.1.bz2
)


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc COPYING NEWS README
/usr/bin/lex
/usr/bin/flex
/usr/bin/flex++
/usr/man/man1/lex.1.*
/usr/man/man1/flex.1.*
/usr/man/man1/flex++.1.*
/usr/lib/libfl.a
/usr/include/FlexLexer.h

%changelog
* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 2.5.4a-11mdk
- Fix rpm group
- specfile cleanup for spec-helper

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- avoid uninitialized variable warning.

* Mon May 17 1999 Axalon Bloodstone <axalon@jumpstart.netpirate.org>
- incorrect symlinks

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.5.4 to 2.5.4a

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 2.5.4
